--- title: "users" slug: "users-3" updated: 2024-10-25T11:02:05Z published: 2024-10-25T11:02:05Z canonical: "docs.voiso.com/users-3" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.voiso.com/llms.txt > Use this file to discover all available pages before exploring further. # users Get/api/user_management/v1/users Retrieves a list of agents using the contact center API key . Header parametersAuthorization: Bearer tokenstringRequired The [Contact Center API key](https://developers.voiso.com/client/#/rest/getting-started/authentication/how-to-obtain-the-contact-center-key). Query parametersidinteger The ID of the user in the contact center. Example28982 namestring The name of the user. ExampleAgent Name emailstring The email address of the user. Exampleagent@email.com sip_accountstring The SIP server address for the user's WebRTC Softphone. Exampleag@cc1.email.net sagstring The user's role. ExampleAgent extensionstring The WebRTC extension of the user. Example2594 caller_idstring The Caller ID group of the user. Example378 timezonestring The time zone of the user. ExampleIstanbul Responses200 Success Example{ "summary": "Agents parameters", "description": "All of the user data", "value": { "id": 28982, "name": "AG D", "email": "ag@g.com", "sip_account": "ag@cc1.email.net", "sag": "Agent", "extension": 2594, "caller_id": 378, "timezone": "Istanbul", "webrtc_ringtone": null, "assigned_teams": "3623, 2481", "supervisor_in_teams": "Support, Team3", "assigned_skills": [ { "name": "Skill1", "value": 4 } ], "assigned_queues": "AG Queue", "employee_id": 123, "assigned_channels": [ { "type": "WhatsApp", "name": "WhatsApp Support 1", "value": 1234567890 } ] } } 401 Unauthorized example1 Error1 Invalid API key ```json { "error": "Invalid api_key" } ``` Example{ "error": "Invalid api_key" }